libgstreamer-plugins-good1.0-0_1.14.5-0ubuntu1~18.04.1_amd64.deb


Advertisement

Description

libgstreamer-plugins-good1.0-0 - GStreamer development files for libraries from the "good" set

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Main amd64
Package filename libgstreamer-plugins-good1.0-0_1.14.5-0ubuntu1~18.04.1_amd64.deb
Package name libgstreamer-plugins-good1.0-0
Package version 1.14.5
Package release 0ubuntu1~18.04.1
Package architecture amd64
Package type deb
Category libs
Homepage https://gstreamer.freedesktop.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 61.09 KB
Installed size 193.00 KB
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data.  Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.
This package contains shared GStreamer libraries from the "good" set. The API
is not guaranteed to be stable.

Alternatives

Package Version Architecture Repository
libgstreamer-plugins-good1.0-0_1.14.5-0ubuntu1~18.04.1_i386.deb 1.14.5 i386 Ubuntu Updates Main
libgstreamer-plugins-good1.0-0_1.14.0-1ubuntu1_i386.deb 1.14.0 i386 Ubuntu Main
libgstreamer-plugins-good1.0-0_1.14.0-1ubuntu1_amd64.deb 1.14.0 amd64 Ubuntu Main
libgstreamer-plugins-good1.0-0 - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.40
libgstreamer-plugins-base1.0-0 >= 1.14.5
libgstreamer1.0-0 >= 1.14.5

Replaces

Name Value
gstreamer1.0-plugins-good = 1.0.3-1ubuntu1
libgstreamer-plugins-bad1.0-0 << 1.0.3-1ubuntu1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libgstreamer-plugins-good1.0-0_1.14.5-0ubuntu1~18.04.1_amd64.deb
Source Package gst-plugins-good1.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgstreamer-plugins-good1.0-0 deb package:
    # sudo apt-get install libgstreamer-plugins-good1.0-0

Files

Path
/usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0
/usr/lib/x86_64-linux-gnu/libgstbasecamerabinsrc-1.0.so.0.1404.0
/usr/lib/x86_64-linux-gnu/libgstphotography-1.0.so.0
/usr/lib/x86_64-linux-gnu/libgstphotography-1.0.so.0.1404.0
/usr/share/doc/libgstreamer-plugins-good1.0-0/AUTHORS
/usr/share/doc/libgstreamer-plugins-good1.0-0/NEWS.gz
/usr/share/doc/libgstreamer-plugins-good1.0-0/README.Debian
/usr/share/doc/libgstreamer-plugins-good1.0-0/README.gz
/usr/share/doc/libgstreamer-plugins-good1.0-0/changelog.Debian.gz
/usr/share/doc/libgstreamer-plugins-good1.0-0/copyright

Changelog

2019-07-03 - Iain Lane <iain.lane@canonical.com>
gst-plugins-good1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium
* New upstream release (LP: #1832123)
* Updated references from 1.14.4 to 1.14.5
2019-05-16 - Iain Lane <iain.lane@canonical.com>
gst-plugins-good1.0 (1.14.4-1ubuntu1~ubuntu18.04.1) bionic; urgency=medium
* No-change backport to bionic (LP: #1829366)
2018-10-05 - Iain Lane <iain.lane@canonical.com>
gst-plugins-good1.0 (1.14.4-1ubuntu1) cosmic; urgency=medium
* Merge from Debian unstable.  Remaining changes:
+ Import plugins from -bad that are needed for main applications.
- jpegformat
- camerabin (+ basecamerabinsrc + photography)
+ Break and Replace -bad versions which contained these plugins.
+ Add a library package containing the shared library and a -dev package for
compiling against it. Add Breaks and Replaces against the plugins packages
which formerly contained files shipped here.
+ Add 'pluginsdir' variable to our added pcfile for compatibility with
some external software
+ debian/control{,.in}: Update Vcs-* for Ubuntu
2018-10-03 - Sebastian Dröge <slomo@debian.org>
gst-plugins-good1.0 (1.14.4-1) unstable; urgency=medium
* New upstream bugfix release
2018-09-17 - Sebastian Dröge <slomo@debian.org>
gst-plugins-good1.0 (1.14.3-1) unstable; urgency=medium
* New upstream bugfix release.
2018-07-27 - Gianfranco Costamagna <locutusofborg@debian.org>
gst-plugins-good1.0 (1.14.2-1ubuntu3) cosmic; urgency=medium
* Add some information on previous patch about the new upstream issue:
https://bugzilla.gnome.org/show_bug.cgi?id=796879
2018-07-26 - Gianfranco Costamagna <locutusofborg@debian.org>
gst-plugins-good1.0 (1.14.2-1ubuntu2) cosmic; urgency=medium
* debian/patches/b03df1abf828514b0966db058388bf974ed0cf4f.patch:
revert upstream b03df1abf828514b0966db058388bf974ed0cf4f making
the package FTBFS on arm* / Ubuntu
2018-07-24 - Gianfranco Costamagna <locutusofborg@debian.org>
gst-plugins-good1.0 (1.14.2-1ubuntu1) cosmic; urgency=low
* Merge from Debian unstable.  Remaining changes:
+ Import plugins from -bad that are needed for main applications.
- jpegformat
- camerabin (+ basecamerabinsrc + photography)
+ Break and Replace -bad versions which contained these plugins.
+ Add a library package containing the shared library and a -dev package for
compiling against it. Add Breaks and Replaces against the plugins packages
which formerly contained files shipped here.
+ Add 'pluginsdir' variable to our added pcfile for compatibility with
some external software
+ debian/control{,.in}: Update Vcs-* for Ubuntu
2018-07-23 - Sebastian Dröge <slomo@debian.org>
gst-plugins-good1.0 (1.14.2-1) unstable; urgency=medium
* New upstream bugfix release
2018-05-23 - Iain Lane <iain.lane@canonical.com>
gst-plugins-good1.0 (1.14.1-1ubuntu1) cosmic; urgency=medium
* Merge with Debian unstable (LP: #1772898); remaining changes:
+ Import plugins from -bad that are needed for main applications.
- jpegformat
- camerabin (+ basecamerabinsrc + photography)
+ Break and Replace -bad versions which contained these plugins.
+ Add a library package containing the shared library and a -dev package for
compiling against it. Add Breaks and Replaces against the plugins packages
which formerly contained files shipped here.
+ Add 'pluginsdir' variable to our added pcfile for compatibility with
some external software
+ debian/control{,.in}: Update Vcs-* for Ubuntu
* Revert 1.14.0-{2,3,4}. We've worked around this issue in -base instead, so
we don't need to disable Qt5 here.

See Also

Package Description
libgstreamer-plugins-good1.0-dev_1.14.5-0ubuntu1~18.04.1_amd64.deb GStreamer development files for libraries from the "good" set
libgstreamer1.0-0_1.14.5-0ubuntu1~18.04.1_amd64.deb Core GStreamer libraries and elements
libgstreamer1.0-dev_1.14.5-0ubuntu1~18.04.1_amd64.deb GStreamer core development files
libgtk-3-0_3.22.30-1ubuntu4_amd64.deb GTK+ graphical user interface library
libgtk-3-bin_3.22.30-1ubuntu4_amd64.deb programs for the GTK+ graphical user interface library
libgtk-3-common_3.22.30-1ubuntu4_all.deb common files for the GTK+ graphical user interface library
libgtk-3-dev_3.22.30-1ubuntu4_amd64.deb development files for the GTK+ library
libgtk-3-doc_3.22.30-1ubuntu4_all.deb documentation for the GTK+ graphical user interface library
libgtop-2.0-11_2.38.0-2ubuntu0.18.04.1_amd64.deb gtop system monitoring library (shared)
libgtop2-common_2.38.0-2ubuntu0.18.04.1_all.deb gtop system monitoring library (common)
libgtop2-dev_2.38.0-2ubuntu0.18.04.1_amd64.deb gtop system monitoring library (devel)
libgtop2-doc_2.38.0-2ubuntu0.18.04.1_all.deb gtop system monitoring library (documentation)
libgweather-3-15_3.28.2-1~ubuntu18.04.1_amd64.deb GWeather shared library
libgweather-3-dev_3.28.2-1~ubuntu18.04.1_amd64.deb GWeather development files
libgweather-common_3.28.2-1~ubuntu18.04.1_all.deb GWeather common files
Advertisement
Advertisement